<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: GODDeSS_DataStorage Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>GODDeSS_DataStorage Class Reference</h1><!-- doxytag: class="GODDeSS_DataStorage" -->
<p>a class to save the data which was taken by the sensitive detectors  
</p>

<p><a href="classGODDeSS__DataStorage-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#a84ae38be322e47f2920c0606bed7cd54">GODDeSS_DataStorage</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#a346590a257278e1d1325a4f3176ec41c">~GODDeSS_DataStorage</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#a95e94f2fedb0938e2618553fccb170e4">AddPhotonSensitiveDetectorVolumeName</a> (G4String photonSensitiveDetectorVolumeName)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#ae42603e9792385727e23ee6e2297881b">AddUpEnergyDepositionInScintillator</a> (G4int trackID, G4double deltaE)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#a382b08cdfcfa78e6782866180fc87d32">AddUpPathLengthInScintillator</a> (G4int trackID, G4double deltaX)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#ae4a5b003a3358693c56c63e304329132">FibreWasHit</a> (G4int trackID) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#aaf4f64f26d770418f319c640f4aeba1a">FillEmptyEntriesUpToCurrentTrack</a> (G4Track *theTrack)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#a257502b8c98aefa1827c1725dcd8d36f">GetEnergyDepositionInScintillator</a> (G4int trackID) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#a7fb19e4c85aad00aaa44ade4576beb1d">GetNameOfPhotonDetectorThatWasHit</a> (G4int trackID) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#ae3dc24b52656150d9a7f963921870f13">GetParticleID</a> (G4int trackID) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#aa399632bdb05ba15b005a021fb23a196">GetParticleIsPrimary</a> (G4int trackID) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#a3f613a03bec55f84c483238cd5f0069e">GetParticleName</a> (G4int trackID) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#af08db78299cb6c6c987d4a4bced56477">GetPathLengthInScintillator</a> (G4int trackID) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#ad462dcad6c881d49dce16fb4e7aafe06">GetPhotonDetectorHitFile</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4ThreeVector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#ac19b8161dc3c7de478e91b72239c6e38">GetPhotonDetectorHitMomentum</a> (G4int trackID) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4ThreeVector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#a19dc55939a2b5cb61b7fa858252d1545">GetPhotonDetectorHitPoint</a> (G4int trackID) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">std::vector&lt; G4String &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#a8a666d8387d84a08b11af0e973ec498d">GetPhotonSensitiveDetectorVolumeNames</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4ThreeVector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#a49df873799ef14906c1771c488c9b448">GetPreviousPreStepPointMomentum</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4ThreeVector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#a42ceaf45e576257e4649ab9cf4bbc5ea">GetPreviousPreStepPointPolarisation</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4ThreeVector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#abca8dc5c0117532a0382d07f9a51cbc7">GetPreviousPreStepPointPosition</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#ab21f154806fcca3676db5eb7960e6818">GetPreviousPreStepPointTime</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#aa51acf0b568ed8c80856364e3f69b093">GetProductionMechanism</a> (G4int trackID) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4ThreeVector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#ae45bca50f2e6cd031a56084c871c3733">GetScintillatorHitMomentum</a> (G4int trackID) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4ThreeVector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#adeafcdc211377e9377fbcf61156bf680">GetScintillatorHitPoint</a> (G4int trackID) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#a93d575da3512f9999eeb50ac95de7ecf">GetScintillatorHitTime</a> (G4int trackID) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4ThreeVector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#a56395ec4338d123c62683cab0765a163">GetWrappingHitMomentum</a> (G4int trackID) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4ThreeVector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#af1e957a8f8262b988e0e5d81b3db41f0">GetWrappingHitPoint</a> (G4int trackID) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#a245eff1a5cbee33e93fd957b133ff604">GetWrappingHitTime</a> (G4int trackID) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#af9ea5711dd69e28701d01edf9e36ef63">PhotonDetectorWasHit</a> (G4int trackID) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#a562870bd25f758c01dc5afcdd12f20d7">SavePreviousStepOpticalPhotonData</a> (const G4Step *step)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#a60e7365e41dd541df67419b07eef6ea6">SetDefaults</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#ac10dff3aa1c28b1cfb5c388bb87c340f">SetFibreWasHit</a> (G4int trackID)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#a2bfa7879ffef9b67f63576c9b1428cf8">SetNameOfPhotonDetectorThatWasHit</a> (G4int trackID, G4String hitVolume)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#a009e63e0f64c46cde89225f149984111">SetParticleID</a> (G4int trackID, G4int partID)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#accba09c1b6043b9fb87958db7ce8b347">SetParticleIsPrimary</a> (G4int trackID)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#a81f389a4aceb203bfa344f31d58516c2">SetParticleName</a> (G4int trackID, G4String partName)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#ac38270556ffd50610cb69159b5c26aa7">SetPhotonDetectorHitFile</a> (G4String photonDetectorHitFile)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#a4d062e89507b95e61b180b8a01e3d9eb">SetPhotonDetectorHitMomentum</a> (G4int trackID, G4ThreeVector hitMomentum)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#a6bc8b05176c2e870fde59a1763798e66">SetPhotonDetectorHitPoint</a> (G4int trackID, G4ThreeVector hitPoint)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#afd96475ffc8aae737bdd2f8a2e2d9cb1">SetPhotonDetectorWasHit</a> (G4int trackID)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#a480fcb67bd9b41ddfa1fb890d83d06cd">SetProductionMechanism</a> (G4int trackID, G4String prodMech)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#ad2089898fc36932df6e47e6d18c136b7">SetScintillatorHitMomentum</a> (G4int trackID, G4ThreeVector hitMomentum)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#a9f3ec4778198f0fb50b376fa2de3cfb9">SetScintillatorHitPoint</a> (G4int trackID, G4ThreeVector hitPoint)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#a30062b4154cd1ef2e0874c4af6c137ef">SetScintillatorHitTime</a> (G4int trackID, G4double hitTime)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#a75a2bed4b9640df06afd2ef04f5d0b8e">SetWrappingHitMomentum</a> (G4int trackID, G4ThreeVector hitMomentum)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#a11494a12b2e7f1060882fec3d16c0411">SetWrappingHitPoint</a> (G4int trackID, G4ThreeVector hitPoint)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#a7695d906cb1fb4fc11e9cfab54c893fa">SetWrappingHitTime</a> (G4int trackID, G4double hitTime)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#af56eb725b1af3dd53abf197be5461919">TrackIDExistsInVector</a> (G4int trackID) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classGODDeSS__DataStorage.html#a280aff00802d72bdb83d355ced60e8e1">TrackIDHasEntries</a> (G4int trackID) const </td></tr>
</table>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a84ae38be322e47f2920c0606bed7cd54"></a><!-- doxytag: member="GODDeSS_DataStorage::GODDeSS_DataStorage" ref="a84ae38be322e47f2920c0606bed7cd54" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GODDeSS_DataStorage::GODDeSS_DataStorage </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Constructor:</p>
<ul>
<li>sets class variables to default values </li>
</ul>

</div>
</div>
<a class="anchor" id="a346590a257278e1d1325a4f3176ec41c"></a><!-- doxytag: member="GODDeSS_DataStorage::~GODDeSS_DataStorage" ref="a346590a257278e1d1325a4f3176ec41c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GODDeSS_DataStorage::~GODDeSS_DataStorage </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Destructor (empty) </p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a95e94f2fedb0938e2618553fccb170e4"></a><!-- doxytag: member="GODDeSS_DataStorage::AddPhotonSensitiveDetectorVolumeName" ref="a95e94f2fedb0938e2618553fccb170e4" args="(G4String photonSensitiveDetectorVolumeName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GODDeSS_DataStorage::AddPhotonSensitiveDetectorVolumeName </td>
          <td>(</td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>photonSensitiveDetectorVolumeName</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save the names of the existing sensitive detectors volumes of photon detectors. </p>

</div>
</div>
<a class="anchor" id="ae42603e9792385727e23ee6e2297881b"></a><!-- doxytag: member="GODDeSS_DataStorage::AddUpEnergyDepositionInScintillator" ref="ae42603e9792385727e23ee6e2297881b" args="(G4int trackID, G4double deltaE)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GODDeSS_DataStorage::AddUpEnergyDepositionInScintillator </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4double&nbsp;</td>
          <td class="paramname"> <em>deltaE</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to add up the energy deposition of the particle with the corresponding track ID in scintillator material. </p>

</div>
</div>
<a class="anchor" id="a382b08cdfcfa78e6782866180fc87d32"></a><!-- doxytag: member="GODDeSS_DataStorage::AddUpPathLengthInScintillator" ref="a382b08cdfcfa78e6782866180fc87d32" args="(G4int trackID, G4double deltaX)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GODDeSS_DataStorage::AddUpPathLengthInScintillator </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4double&nbsp;</td>
          <td class="paramname"> <em>deltaX</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to add up the path length of the particle with the corresponding track ID in scintillator material. </p>

</div>
</div>
<a class="anchor" id="ae4a5b003a3358693c56c63e304329132"></a><!-- doxytag: member="GODDeSS_DataStorage::FibreWasHit" ref="ae4a5b003a3358693c56c63e304329132" args="(G4int trackID) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4bool GODDeSS_DataStorage::FibreWasHit </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the entry exists for this particle: </b> G4bool if a fibre was hit by the particle with the corresponding track ID </dd>
<dd>
<b> else: </b> false </dd></dl>

</div>
</div>
<a class="anchor" id="aaf4f64f26d770418f319c640f4aeba1a"></a><!-- doxytag: member="GODDeSS_DataStorage::FillEmptyEntriesUpToCurrentTrack" ref="aaf4f64f26d770418f319c640f4aeba1a" args="(G4Track *theTrack)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GODDeSS_DataStorage::FillEmptyEntriesUpToCurrentTrack </td>
          <td>(</td>
          <td class="paramtype">G4Track *&nbsp;</td>
          <td class="paramname"> <em>theTrack</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to tell the <a class="el" href="classUserEventInformation.html" title=" (Part of the example simulation and not belonging to GODDeSS.)  Class to save the...">UserEventInformation</a>, that a particle with the given track ID as been simulated and its properties will be saved. <b> This function has to be called before any information about the particle can be saved! </b> </p>

</div>
</div>
<a class="anchor" id="a257502b8c98aefa1827c1725dcd8d36f"></a><!-- doxytag: member="GODDeSS_DataStorage::GetEnergyDepositionInScintillator" ref="a257502b8c98aefa1827c1725dcd8d36f" args="(G4int trackID) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4double GODDeSS_DataStorage::GetEnergyDepositionInScintillator </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the entry exists for this particle: </b> energy deposition of the particle with the corresponding track ID in scintillator material </dd>
<dd>
<b> else: </b> NAN </dd></dl>

</div>
</div>
<a class="anchor" id="a7fb19e4c85aad00aaa44ade4576beb1d"></a><!-- doxytag: member="GODDeSS_DataStorage::GetNameOfPhotonDetectorThatWasHit" ref="a7fb19e4c85aad00aaa44ade4576beb1d" args="(G4int trackID) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4String GODDeSS_DataStorage::GetNameOfPhotonDetectorThatWasHit </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the entry exists for this particle: </b> name of the sensitive detector's volume that was hit by the particle with the corresponding track ID </dd>
<dd>
<b> else: </b> "---" </dd></dl>

</div>
</div>
<a class="anchor" id="ae3dc24b52656150d9a7f963921870f13"></a><!-- doxytag: member="GODDeSS_DataStorage::GetParticleID" ref="ae3dc24b52656150d9a7f963921870f13" args="(G4int trackID) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4int GODDeSS_DataStorage::GetParticleID </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the entry exists for this particle: </b> particle ID of the particle with the corresponding track ID </dd>
<dd>
<b> else: </b> 999999999 (one cannot use "0", as this is used for Geant4 specific particles (optical photon, geantino,...)) </dd></dl>

</div>
</div>
<a class="anchor" id="aa399632bdb05ba15b005a021fb23a196"></a><!-- doxytag: member="GODDeSS_DataStorage::GetParticleIsPrimary" ref="aa399632bdb05ba15b005a021fb23a196" args="(G4int trackID) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4bool GODDeSS_DataStorage::GetParticleIsPrimary </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the entry exists for this particle: </b> G4bool, if the particle with the corresponding track ID is a primary particle </dd>
<dd>
<b> else: </b> true </dd></dl>

</div>
</div>
<a class="anchor" id="a3f613a03bec55f84c483238cd5f0069e"></a><!-- doxytag: member="GODDeSS_DataStorage::GetParticleName" ref="a3f613a03bec55f84c483238cd5f0069e" args="(G4int trackID) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4String GODDeSS_DataStorage::GetParticleName </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the entry exists for this particle: </b> name of the particle with the corresponding track ID </dd>
<dd>
<b> else: </b> "---" </dd></dl>

</div>
</div>
<a class="anchor" id="af08db78299cb6c6c987d4a4bced56477"></a><!-- doxytag: member="GODDeSS_DataStorage::GetPathLengthInScintillator" ref="af08db78299cb6c6c987d4a4bced56477" args="(G4int trackID) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4double GODDeSS_DataStorage::GetPathLengthInScintillator </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the entry exists for this particle: </b> path length of the particle with the corresponding track ID in scintillator material </dd>
<dd>
<b> else: </b> NAN </dd></dl>

</div>
</div>
<a class="anchor" id="ad462dcad6c881d49dce16fb4e7aafe06"></a><!-- doxytag: member="GODDeSS_DataStorage::GetPhotonDetectorHitFile" ref="ad462dcad6c881d49dce16fb4e7aafe06" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4String GODDeSS_DataStorage::GetPhotonDetectorHitFile </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>path of the text file, which the data needed to resimulate a photon that hit the sensitive detector is written into </dd></dl>

</div>
</div>
<a class="anchor" id="ac19b8161dc3c7de478e91b72239c6e38"></a><!-- doxytag: member="GODDeSS_DataStorage::GetPhotonDetectorHitMomentum" ref="ac19b8161dc3c7de478e91b72239c6e38" args="(G4int trackID) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ThreeVector GODDeSS_DataStorage::GetPhotonDetectorHitMomentum </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the entry exists for this particle: </b> momentum of the particle with the corresponding track ID, when hitting the photon detector </dd>
<dd>
<b> else: </b> G4ThreeVector(NAN, NAN, NAN) </dd></dl>

</div>
</div>
<a class="anchor" id="a19dc55939a2b5cb61b7fa858252d1545"></a><!-- doxytag: member="GODDeSS_DataStorage::GetPhotonDetectorHitPoint" ref="a19dc55939a2b5cb61b7fa858252d1545" args="(G4int trackID) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ThreeVector GODDeSS_DataStorage::GetPhotonDetectorHitPoint </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the entry exists for this particle: </b> position on the photon detector, where the particle with the corresponding track ID hit it </dd>
<dd>
<b> else: </b> G4ThreeVector(NAN, NAN, NAN) </dd></dl>

</div>
</div>
<a class="anchor" id="a8a666d8387d84a08b11af0e973ec498d"></a><!-- doxytag: member="GODDeSS_DataStorage::GetPhotonSensitiveDetectorVolumeNames" ref="a8a666d8387d84a08b11af0e973ec498d" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;G4String&gt; GODDeSS_DataStorage::GetPhotonSensitiveDetectorVolumeNames </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>vector with the names of the existing sensitive detectors volumes of photon detectors </dd></dl>

</div>
</div>
<a class="anchor" id="a49df873799ef14906c1771c488c9b448"></a><!-- doxytag: member="GODDeSS_DataStorage::GetPreviousPreStepPointMomentum" ref="a49df873799ef14906c1771c488c9b448" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ThreeVector GODDeSS_DataStorage::GetPreviousPreStepPointMomentum </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>start momentum (for resimulation purpose) of a photon hitting the sensitive detector </dd></dl>

</div>
</div>
<a class="anchor" id="a42ceaf45e576257e4649ab9cf4bbc5ea"></a><!-- doxytag: member="GODDeSS_DataStorage::GetPreviousPreStepPointPolarisation" ref="a42ceaf45e576257e4649ab9cf4bbc5ea" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ThreeVector GODDeSS_DataStorage::GetPreviousPreStepPointPolarisation </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>polarisation (for resimulation purpose) of a photon hitting the sensitive detector. </dd></dl>

</div>
</div>
<a class="anchor" id="abca8dc5c0117532a0382d07f9a51cbc7"></a><!-- doxytag: member="GODDeSS_DataStorage::GetPreviousPreStepPointPosition" ref="abca8dc5c0117532a0382d07f9a51cbc7" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ThreeVector GODDeSS_DataStorage::GetPreviousPreStepPointPosition </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>start position (for resimulation purpose) of a photon hitting the sensitive detector </dd></dl>

</div>
</div>
<a class="anchor" id="ab21f154806fcca3676db5eb7960e6818"></a><!-- doxytag: member="GODDeSS_DataStorage::GetPreviousPreStepPointTime" ref="ab21f154806fcca3676db5eb7960e6818" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4double GODDeSS_DataStorage::GetPreviousPreStepPointTime </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>start time (for resimulation purpose) of a photon hitting the sensitive detector </dd></dl>

</div>
</div>
<a class="anchor" id="aa51acf0b568ed8c80856364e3f69b093"></a><!-- doxytag: member="GODDeSS_DataStorage::GetProductionMechanism" ref="aa51acf0b568ed8c80856364e3f69b093" args="(G4int trackID) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4String GODDeSS_DataStorage::GetProductionMechanism </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the entry exists for this particle: </b> production mechanism of the particle with the corresponding track ID </dd>
<dd>
<b> else: </b> "---" </dd></dl>

</div>
</div>
<a class="anchor" id="ae45bca50f2e6cd031a56084c871c3733"></a><!-- doxytag: member="GODDeSS_DataStorage::GetScintillatorHitMomentum" ref="ae45bca50f2e6cd031a56084c871c3733" args="(G4int trackID) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ThreeVector GODDeSS_DataStorage::GetScintillatorHitMomentum </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the entry exists for this particle: </b> momentum of the particle with the corresponding track ID when first hitting a scintillator tile </dd>
<dd>
<b> else: </b> G4ThreeVector(NAN, NAN, NAN) </dd></dl>

</div>
</div>
<a class="anchor" id="adeafcdc211377e9377fbcf61156bf680"></a><!-- doxytag: member="GODDeSS_DataStorage::GetScintillatorHitPoint" ref="adeafcdc211377e9377fbcf61156bf680" args="(G4int trackID) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ThreeVector GODDeSS_DataStorage::GetScintillatorHitPoint </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the entry exists for this particle: </b> position of the particle with the corresponding track ID when first hitting a scintillator tile </dd>
<dd>
<b> else: </b> G4ThreeVector(NAN, NAN, NAN) </dd></dl>

</div>
</div>
<a class="anchor" id="a93d575da3512f9999eeb50ac95de7ecf"></a><!-- doxytag: member="GODDeSS_DataStorage::GetScintillatorHitTime" ref="a93d575da3512f9999eeb50ac95de7ecf" args="(G4int trackID) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4double GODDeSS_DataStorage::GetScintillatorHitTime </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the entry exists for this particle: </b> time when the particle with the corresponding track ID first hits a scintillator tile </dd>
<dd>
<b> else: </b> NAN </dd></dl>

</div>
</div>
<a class="anchor" id="a56395ec4338d123c62683cab0765a163"></a><!-- doxytag: member="GODDeSS_DataStorage::GetWrappingHitMomentum" ref="a56395ec4338d123c62683cab0765a163" args="(G4int trackID) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ThreeVector GODDeSS_DataStorage::GetWrappingHitMomentum </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the entry exists for this particle: </b> momentum of the particle with the corresponding track ID when first hitting a wrapping </dd>
<dd>
<b> else: </b> G4ThreeVector(NAN, NAN, NAN) </dd></dl>

</div>
</div>
<a class="anchor" id="af1e957a8f8262b988e0e5d81b3db41f0"></a><!-- doxytag: member="GODDeSS_DataStorage::GetWrappingHitPoint" ref="af1e957a8f8262b988e0e5d81b3db41f0" args="(G4int trackID) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ThreeVector GODDeSS_DataStorage::GetWrappingHitPoint </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the entry exists for this particle: </b> position of the particle with the corresponding track ID when first hitting a wrapping </dd>
<dd>
<b> else: </b> G4ThreeVector(NAN, NAN, NAN) </dd></dl>

</div>
</div>
<a class="anchor" id="a245eff1a5cbee33e93fd957b133ff604"></a><!-- doxytag: member="GODDeSS_DataStorage::GetWrappingHitTime" ref="a245eff1a5cbee33e93fd957b133ff604" args="(G4int trackID) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4double GODDeSS_DataStorage::GetWrappingHitTime </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the entry exists for this particle: </b> time when the particle with the corresponding track ID first hits a wrapping </dd>
<dd>
<b> else: </b> NAN </dd></dl>

</div>
</div>
<a class="anchor" id="af9ea5711dd69e28701d01edf9e36ef63"></a><!-- doxytag: member="GODDeSS_DataStorage::PhotonDetectorWasHit" ref="af9ea5711dd69e28701d01edf9e36ef63" args="(G4int trackID) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4bool GODDeSS_DataStorage::PhotonDetectorWasHit </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the entry exists for this particle: </b> G4bool if a photon detector that was hit by the particle with the corresponding track ID </dd>
<dd>
<b> else: </b> false </dd></dl>

</div>
</div>
<a class="anchor" id="a562870bd25f758c01dc5afcdd12f20d7"></a><!-- doxytag: member="GODDeSS_DataStorage::SavePreviousStepOpticalPhotonData" ref="a562870bd25f758c01dc5afcdd12f20d7" args="(const G4Step *step)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GODDeSS_DataStorage::SavePreviousStepOpticalPhotonData </td>
          <td>(</td>
          <td class="paramtype">const G4Step *&nbsp;</td>
          <td class="paramname"> <em>step</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save the data needed to resimulate a photon that hit the sensitive detector. It has to be processed for every step (i.e. in the <a class="el" href="classSteppingAction.html" title=" (Part of the example simulation and not belonging to GODDeSS.)  Defines actions...">SteppingAction</a>). </p>

</div>
</div>
<a class="anchor" id="a60e7365e41dd541df67419b07eef6ea6"></a><!-- doxytag: member="GODDeSS_DataStorage::SetDefaults" ref="a60e7365e41dd541df67419b07eef6ea6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GODDeSS_DataStorage::SetDefaults </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to set the class variables to default values: </p>

<p><ul>
<li>start momentum (for resimulation purpose) of a photon hitting the sensitive detector <div class="fragment"><pre class="fragment"> PreviousPreStepPointMomentum = G4ThreeVector(NAN, NAN, NAN); 
</pre></div></li>
</ul>
<ul>
<li>start position (for resimulation purpose) of a photon hitting the sensitive detector <div class="fragment"><pre class="fragment"> PreviousPreStepPointPosition = G4ThreeVector(NAN, NAN, NAN); 
</pre></div></li>
</ul>
<ul>
<li>start time (for resimulation purpose) of a photon hitting the sensitive detector <div class="fragment"><pre class="fragment"> PreviousPreStepPointTime = NAN; 
</pre></div></li>
</ul>
<ul>
<li>polarisation (for resimulation purpose) of a photon hitting the sensitive detector <div class="fragment"><pre class="fragment"> PreviousPreStepPointPolarisation = G4ThreeVector(NAN, NAN, NAN); 
</pre></div> </li>
</ul>
</p>

</div>
</div>
<a class="anchor" id="ac10dff3aa1c28b1cfb5c388bb87c340f"></a><!-- doxytag: member="GODDeSS_DataStorage::SetFibreWasHit" ref="ac10dff3aa1c28b1cfb5c388bb87c340f" args="(G4int trackID)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GODDeSS_DataStorage::SetFibreWasHit </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to change the G4bool, if a fibre was hit by the particle, to "true". </p>

</div>
</div>
<a class="anchor" id="a2bfa7879ffef9b67f63576c9b1428cf8"></a><!-- doxytag: member="GODDeSS_DataStorage::SetNameOfPhotonDetectorThatWasHit" ref="a2bfa7879ffef9b67f63576c9b1428cf8" args="(G4int trackID, G4String hitVolume)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GODDeSS_DataStorage::SetNameOfPhotonDetectorThatWasHit </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>hitVolume</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save the name of the sensitive detector's volume that was hit by the particle with the corresponding track ID. </p>

</div>
</div>
<a class="anchor" id="a009e63e0f64c46cde89225f149984111"></a><!-- doxytag: member="GODDeSS_DataStorage::SetParticleID" ref="a009e63e0f64c46cde89225f149984111" args="(G4int trackID, G4int partID)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GODDeSS_DataStorage::SetParticleID </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>partID</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save particle ID of the particle with the corresponding track ID. </p>

</div>
</div>
<a class="anchor" id="accba09c1b6043b9fb87958db7ce8b347"></a><!-- doxytag: member="GODDeSS_DataStorage::SetParticleIsPrimary" ref="accba09c1b6043b9fb87958db7ce8b347" args="(G4int trackID)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GODDeSS_DataStorage::SetParticleIsPrimary </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save whether the particle with the corresponding track ID is a primary particle. </p>

</div>
</div>
<a class="anchor" id="a81f389a4aceb203bfa344f31d58516c2"></a><!-- doxytag: member="GODDeSS_DataStorage::SetParticleName" ref="a81f389a4aceb203bfa344f31d58516c2" args="(G4int trackID, G4String partName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GODDeSS_DataStorage::SetParticleName </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>partName</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save name of the particle with the corresponding track ID. </p>

</div>
</div>
<a class="anchor" id="ac38270556ffd50610cb69159b5c26aa7"></a><!-- doxytag: member="GODDeSS_DataStorage::SetPhotonDetectorHitFile" ref="ac38270556ffd50610cb69159b5c26aa7" args="(G4String photonDetectorHitFile)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GODDeSS_DataStorage::SetPhotonDetectorHitFile </td>
          <td>(</td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>photonDetectorHitFile</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to set the path of the text file, which the data needed to resimulate a photon that hit the sensitive detector is written into. </p>

</div>
</div>
<a class="anchor" id="a4d062e89507b95e61b180b8a01e3d9eb"></a><!-- doxytag: member="GODDeSS_DataStorage::SetPhotonDetectorHitMomentum" ref="a4d062e89507b95e61b180b8a01e3d9eb" args="(G4int trackID, G4ThreeVector hitMomentum)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GODDeSS_DataStorage::SetPhotonDetectorHitMomentum </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>hitMomentum</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save the momentum of the particle with the corresponding track ID, when hitting the photon detector. </p>

</div>
</div>
<a class="anchor" id="a6bc8b05176c2e870fde59a1763798e66"></a><!-- doxytag: member="GODDeSS_DataStorage::SetPhotonDetectorHitPoint" ref="a6bc8b05176c2e870fde59a1763798e66" args="(G4int trackID, G4ThreeVector hitPoint)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GODDeSS_DataStorage::SetPhotonDetectorHitPoint </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>hitPoint</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save the position on the photon detector, where the particle with the corresponding track ID hit it. </p>

</div>
</div>
<a class="anchor" id="afd96475ffc8aae737bdd2f8a2e2d9cb1"></a><!-- doxytag: member="GODDeSS_DataStorage::SetPhotonDetectorWasHit" ref="afd96475ffc8aae737bdd2f8a2e2d9cb1" args="(G4int trackID)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GODDeSS_DataStorage::SetPhotonDetectorWasHit </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to change the G4bool, if a sensitive detector was hit by the particle, to "true". </p>

</div>
</div>
<a class="anchor" id="a480fcb67bd9b41ddfa1fb890d83d06cd"></a><!-- doxytag: member="GODDeSS_DataStorage::SetProductionMechanism" ref="a480fcb67bd9b41ddfa1fb890d83d06cd" args="(G4int trackID, G4String prodMech)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GODDeSS_DataStorage::SetProductionMechanism </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>prodMech</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save production mechanism of the particle with the corresponding track ID. </p>

</div>
</div>
<a class="anchor" id="ad2089898fc36932df6e47e6d18c136b7"></a><!-- doxytag: member="GODDeSS_DataStorage::SetScintillatorHitMomentum" ref="ad2089898fc36932df6e47e6d18c136b7" args="(G4int trackID, G4ThreeVector hitMomentum)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GODDeSS_DataStorage::SetScintillatorHitMomentum </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>hitMomentum</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save the momentum of the particle with the corresponding track ID when first hitting a scintillator tile. </p>

</div>
</div>
<a class="anchor" id="a9f3ec4778198f0fb50b376fa2de3cfb9"></a><!-- doxytag: member="GODDeSS_DataStorage::SetScintillatorHitPoint" ref="a9f3ec4778198f0fb50b376fa2de3cfb9" args="(G4int trackID, G4ThreeVector hitPoint)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GODDeSS_DataStorage::SetScintillatorHitPoint </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>hitPoint</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save the position of the particle with the corresponding track ID when first hitting a scintillator tile. </p>

</div>
</div>
<a class="anchor" id="a30062b4154cd1ef2e0874c4af6c137ef"></a><!-- doxytag: member="GODDeSS_DataStorage::SetScintillatorHitTime" ref="a30062b4154cd1ef2e0874c4af6c137ef" args="(G4int trackID, G4double hitTime)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GODDeSS_DataStorage::SetScintillatorHitTime </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4double&nbsp;</td>
          <td class="paramname"> <em>hitTime</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save the time when the particle with the corresponding track ID first hits a scintillator tile. </p>

</div>
</div>
<a class="anchor" id="a75a2bed4b9640df06afd2ef04f5d0b8e"></a><!-- doxytag: member="GODDeSS_DataStorage::SetWrappingHitMomentum" ref="a75a2bed4b9640df06afd2ef04f5d0b8e" args="(G4int trackID, G4ThreeVector hitMomentum)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GODDeSS_DataStorage::SetWrappingHitMomentum </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>hitMomentum</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save the momentum of the particle with the corresponding track ID when first hitting a wrapping. </p>

</div>
</div>
<a class="anchor" id="a11494a12b2e7f1060882fec3d16c0411"></a><!-- doxytag: member="GODDeSS_DataStorage::SetWrappingHitPoint" ref="a11494a12b2e7f1060882fec3d16c0411" args="(G4int trackID, G4ThreeVector hitPoint)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GODDeSS_DataStorage::SetWrappingHitPoint </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>hitPoint</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save the position of the particle with the corresponding track ID when first hitting a wrapping. </p>

</div>
</div>
<a class="anchor" id="a7695d906cb1fb4fc11e9cfab54c893fa"></a><!-- doxytag: member="GODDeSS_DataStorage::SetWrappingHitTime" ref="a7695d906cb1fb4fc11e9cfab54c893fa" args="(G4int trackID, G4double hitTime)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GODDeSS_DataStorage::SetWrappingHitTime </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4double&nbsp;</td>
          <td class="paramname"> <em>hitTime</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save the time when the particle with the corresponding track ID first hits a wrapping. </p>

</div>
</div>
<a class="anchor" id="af56eb725b1af3dd53abf197be5461919"></a><!-- doxytag: member="GODDeSS_DataStorage::TrackIDExistsInVector" ref="af56eb725b1af3dd53abf197be5461919" args="(G4int trackID) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4bool GODDeSS_DataStorage::TrackIDExistsInVector </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the entry exists for this track ID: </b> true </dd>
<dd>
<b> else: </b> false </dd></dl>

</div>
</div>
<a class="anchor" id="a280aff00802d72bdb83d355ced60e8e1"></a><!-- doxytag: member="GODDeSS_DataStorage::TrackIDHasEntries" ref="a280aff00802d72bdb83d355ced60e8e1" args="(G4int trackID) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4bool GODDeSS_DataStorage::TrackIDHasEntries </td>
          <td>(</td>
          <td class="paramtype">G4int&nbsp;</td>
          <td class="paramname"> <em>trackID</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the entry exists for this track ID and has entries: </b> true </dd>
<dd>
<b> else: </b> false </dd></dl>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 19 Jul 2016 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
